package geniusweb.protocol;

import geniusweb.events.CurrentState;

/**
 * Implementation of CurrentState event. This contains NegoState and therefore
 * can not be defined in the events module.
 */
public class CurrentNegoState extends CurrentState {
	private final NegoState state;

	public CurrentNegoState(NegoState state) {
		this.state = state;
	}

	public NegoState getState() {
		return state;
	}
}
